/**
 * PESEL
 * www.algorytm.org
 * (c)2005 Tomasz Lubinski
 */

public class Pesel {

	private static PeselValidator PeselVal;
	
	public static void main(String[] args) {
		String PESEL;
		
		
        System.out.println("Podaj numer PESEL");
        PESEL = Console.readString("?");
        PeselVal = new PeselValidator(PESEL);
        
        if (PeselVal.isValid()) {
        	System.out.println("Numer PESEL jest prawidowy");
        	System.out.println("Rok urodzenia: " + PeselVal.getBirthYear());
        	System.out.println("Miesic urodzenia: " + PeselVal.getBirthMonth());
        	System.out.println("Dzie urodzenia: " + PeselVal.getBirthDay());
        	System.out.println("Pe: " + PeselVal.getSex());
        }
        else {
        	System.out.println("Numer PESEL jest nieprawidowy");
        }
	}
}
